#' NRC Emotions
#'
#' A \pkg{data.table} dataset containing Mohammad & Turney', P. D.'s (2010)
#' emotions word list as a binary table.
#'
#' @details
#' \itemize{
#'   \item term. A term
#'   \item anger. Counts of anger anger
#'   \item anticipation. Counts of anticipation
#'   \item disgust. Counts of disgust
#'   \item fear. Counts of fear
#'   \item joy. Counts of joy
#'   \item sadness. Counts of sadness
#'   \item surprise. Counts of surprise
#'   \item trust. Counts of trust
#' }
#'
#' @docType data
#' @keywords datasets
#' @name nrc_emotions
#' @usage data(nrc_emotions)
#' @format A data frame with 14182 rows and 9 variables
#' @references http://www.purl.com/net/lexicons  \cr \cr
#' Mohammad, S. M. & Turney, P. D. (2010) Emotions evoked by common words and
#' phrases: Using Mechanical Turk to create an emotion lexicon, In Proceeding of
#' Workshop on Computational Approaches to Analysis and Generation of Emotion in
#' Text, 26-34.
NULL
